Bug Hunting Session
Bug 37673 - Activating link to External Data HTML (web query) causes crash / hang
Summary: Activating link to External Data HTML (web query) causes crash / hang
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: Other Windows (All)
: medium major
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-27 11:02 UTC by Guilherme
Modified: 2011-06-10 02:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guilherme 2011-05-27 11:02:39 UTC
Regression problem: this works on LO 3.3.1.

In Calc (LO 3.4 RC2), when I try to insert a link to external data (Insert > Link to External Data), put a Url of any web page (without proxy, direct access, ex: www.libreoffice.org), and click OK on the Import Options dialog, LO crashes.
Comment 1 Rainer Bielefeld Retired 2011-05-28 01:07:29 UTC
[Reproducible] with "LibreOffice 3.4.0RC1  – WIN7  Home Premium  (64bit) German UI [OOO340m1 (Build:11)]" and  <http://finance.yahoo.com/q/cq?s=INTC,SCHW>

Steps to reproduce:
1. Open new CALC doucment, click 'A1'
2. Menu 'Insert > Link to external data'
3. Copy / Paste a.m. URL to data source URL pane
4. <Enter>
   Import options dialog appears
5. <ok> iwhtout modifications in dialog
   Expected: Tables to be selected will appear
   Actual: Hang

The problem only appears for HTML table data, other Data links never have been working in LibO, see "Bug 35040 - No Link to particular External Data" comment 2

I saw you assigned or active in ant least one similar bug report
Please feel free to reassign if it's not your area!
Comment 2 Kohei Yoshida 2011-06-08 19:30:05 UTC
This doesn't hang for me, on Linux.
Comment 3 Kohei Yoshida 2011-06-08 21:28:39 UTC
Ah, this one is Windows only.

Fixed it on master (for 3.5).

http://cgit.freedesktop.org/libreoffice/calc/commit/?id=4820648fc4abe7984c3c3c35e4c727c5574e8939

Request for review sent to the list, for possible inclusion into 3.4.1.
Comment 4 Kohei Yoshida 2011-06-09 06:17:40 UTC
Approved for 3.4.1 inclusion.  The fix will be in 3.4.1.
Comment 5 Rainer Bielefeld Retired 2011-06-10 02:57:13 UTC
RC2 is bit by bit identical with release version, so separate items in the version picker are useless. Changes have been discussed with Michael Meeks.